about summary refs log tree commit diff
path: root/tests
diff options
context:
space:
mode:
authorLars Hjemli <hjemli@gmail.com>2008-12-06 11:53:59 +0100
committerLars Hjemli <hjemli@gmail.com>2008-12-06 11:53:59 +0100
commit2755af6e29801ea10b5d7be6a0a5635ba3bc9660 (patch)
treeeaa044791005992901b46f0b41b422327a9ac58b /tests
parentMerge branch 'rj/buildtweaks' into stable (diff)
downloadcgit-pink-2755af6e29801ea10b5d7be6a0a5635ba3bc9660.tar.gz
cgit-pink-2755af6e29801ea10b5d7be6a0a5635ba3bc9660.zip
tests/t0010-validate-html.sh: skip tests if 'tidy' is not available
Noticed-by: Ramsay Jones <ramsay@ramsay1.demon.co.uk>
Signed-off-by: Lars Hjemli <hjemli@gmail.com>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/t0010-validate-html.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/tests/t0010-validate-html.sh b/tests/t0010-validate-html.sh
index 94aa52b..3fe4800 100755
--- a/tests/t0010-validate-html.sh
+++ b/tests/t0010-validate-html.sh
@@ -9,7 +9,7 @@ test_url()
 	test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no"
 	cgit_url "$1" >trash/tidy-$test_count || return
 	sed -ie "1,4d" trash/tidy-$test_count || return
-	tidy $tidy_opt trash/tidy-$test_count
+	"$tidy" $tidy_opt trash/tidy-$test_count
 	rc=$?
 
 	# tidy returns with exitcode 1 on warnings, 2 on error
@@ -23,6 +23,13 @@ test_url()
 
 prepare_tests 'Validate html with tidy'
 
+tidy=`which tidy`
+test -n "$tidy" || {
+	echo "Skipping tests: tidy not found"
+	tests_done
+	exit
+}
+
 run_test 'index page' 'test_url ""'
 run_test 'foo' 'test_url "foo"'
 run_test 'foo/log' 'test_url "foo/log"'
n title='2021-09-21 21:33:33 -0400'>2021-09-21Recalculate various lengths only as neededJune McEnroe 2021-09-21Rewrite pngo, add explicit optionsJune McEnroe 2021-09-16Fix /* **/ comment matchingJune McEnroe 2021-09-15Remove typer, add downgrade to READMEJune McEnroe 2021-09-15Set bot mode on downgradeJune McEnroe 2021-09-15Enter capsicum in downgradeJune McEnroe 2021-09-15Factor out common parts of downgrade messagesJune McEnroe 2021-09-14Add downgrade IRC botJune McEnroe 2021-09-14Sort by title if authors matchJune McEnroe 2021-09-13Swap-remove tags as they're foundJune McEnroe 2021-09-12Replace htagml regex with strncmpJune McEnroe 2021-09-11Also defer printing comment for lone close-parensJune McEnroe 2021-09-10Publish "git-comment"June McEnroe 2021-09-10Add git comment --pretty optionJune McEnroe 2021-09-08Defer printing comment if line is blank or closing braceJune McEnroe 2021-09-08Up default min-repeat to 30 linesJune McEnroe 2021-09-08Handle dirty lines in git-commentJune McEnroe 2021-09-08Document and install git-commentJune McEnroe 2021-09-08Add repeat and all options to git-commentJune McEnroe 2021-09-08Add group threshold to git-commentJune McEnroe